Documentation Index

Fetch the complete documentation index at: https://docs.supermetrics.com/llms.txt

Use this file to discover all available pages before exploring further.

Fetch Connector Schema

Prev Next
Get
/connector_builder/v1/schema/{schema_version}

Fetch the codeless connector JSON schema

Path parameters
schema_version
stringRequired

The version of the schema you wish to fetch. Currently available schema(s) are: v1

Max length10
Pattern^v\d+$
Responses
200

Successful response.

string (json)

Raw JSON schema document

Max length1000000
400

Invalid version

Expand All
object
meta
object
request_id
string

Unique identifier of the request

Max length100
data
object
message
string

Invalid version

Max length255
code
string

INVALID_VERSION

Max length100
description
string

The provided schema version is invalid. Valid schema versions are v1, v2, v3, etc.

Max length2000
404

Requested schema version not found.

Expand All
object
meta
object
request_id
string

Unique identifier of the request

Max length100
data
object
message
string

Schema not found

Max length255
code
string

SCHEMA_NOT_FOUND

Max length100
description
string

Could not find schema with requested version.

Max length2000
500

Failed to load schema.

Expand All
object
meta
object
request_id
string

Unique identifier of the request

Max length100
data
object
message
string

Failed to load schema

Max length255
code
string

FAILED_TO_LOAD_SCHEMA

Max length100
description
string

Failed to load requested schema. Please try again.

Max length2000